with GNATCOM.Dispinterface;

package MSHTML.ISVGAElement_Interface is

   type ISVGAElement_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out ISVGAElement_Type);

   function Pointer (This : ISVGAElement_Type)
     return Pointer_To_ISVGAElement;

   procedure Attach (This    : in out ISVGAElement_Type;
                     Pointer : in     Pointer_To_ISVGAElement);

   procedure PutRef_target
     (This : ISVGAElement_Type;
      p    : Pointer_To_ISVGAnimatedString);

   function Get_target
     (This : ISVGAElement_Type)
     return Pointer_To_ISVGAnimatedString;

end MSHTML.ISVGAElement_Interface;

